Page MenuHomePhabricator

efl_ui_table: remove inlist items in EINA_INLIST_FREE macro
ClosedPublic

Authored by YOhoho on Aug 21 2019, 10:58 PM.

Details

Summary

Check the EINA_INLIST_FREE document

in eina_inlist.h

NOTE: it is the duty of the body loop to properly remove the item from the
inlist and free it. This function will turn into a infinite loop if you
don't remove all items from the list.

This will avoid infinite loop when Efl.Ui.Table is invalidated.

ref T8145

Test Plan

See the test file in T8145

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
YOhoho created this revision.Aug 21 2019, 10:58 PM
YOhoho requested review of this revision.Aug 21 2019, 10:58 PM
zmike accepted this revision.Aug 22 2019, 4:33 AM
zmike added a subscriber: zmike.

This is a very poorly named macro...

This revision is now accepted and ready to land.Aug 22 2019, 4:33 AM
Closed by commit rEFLb60e949fb699: efl_ui_table: remove inlist items in EINA_INLIST_FREE macro (authored by Yeongjong Lee <yj34.lee@samsung.com>, committed by zmike). · Explain WhyAug 23 2019, 10:39 AM
This revision was automatically updated to reflect the committed changes.